<?php
/**
*
* @package - Portalview for Board3portal
* @version $Id: portalview.php 612 2010-01-22 19:39:32Z marc1706 $
* @copyright: (c) Christian_N (www.phpbb-projekt.de)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

define('IN_PORTAL', true);
define('IN_PORTALVIEW', true);
if (!function_exists('display_forums'))
{
	include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
}
if (!class_exists('bbcode_firstpass'))
{
	include($phpbb_root_path . 'includes/message_parser.' . $phpEx);
}


if ($portal_config['portal_phpbb_menu'])
{
	$template->assign_var('S_DISPLAY_PHPBB_MENU', true);
}

// load blocks in the left column
if($portal_config['portal_left_column'])
{
	$template->assign_var('S_LEFT_COLUMN', 'portalview');
	
	if ($portal_config['portal_main_menu'])
	{
		include($phpbb_root_path . 'portal/block/main_menu.' . $phpEx);
	}
	
	if ($portal_config['portal_search'])
	{
		include($phpbb_root_path . 'portal/block/search.' . $phpEx);
	}
	
	if ($portal_config['portal_birthdays'])
	{
		include($phpbb_root_path . 'portal/block/birthday_list.' . $phpEx);
	}

	if ($portal_config['portal_attachments'] && $config['allow_attachments'])
	{
		include($phpbb_root_path . 'portal/block/attachments.' . $phpEx);
	}
	
	if ($portal_config['portal_top_posters'])
	{
		include($phpbb_root_path . 'portal/block/top_posters.' . $phpEx);
	}

	if ($portal_config['portal_latest_members'])
	{
		include($phpbb_root_path . 'portal/block/latest_members.' . $phpEx);
	}

	if ($portal_config['portal_random_member'])
	{
		include($phpbb_root_path . 'portal/block/random_member.' . $phpEx);
	}
	
	if ($portal_config['portal_link_us'])
	{
		include($phpbb_root_path . 'portal/block/link_us.' . $phpEx);
	}
	
	if ($portal_config['portal_change_style'])
	{
		include($phpbb_root_path . 'portal/block/change_style.' . $phpEx);
	}

	if ($portal_config['portal_clock'])
	{
		$template->assign_var('S_DISPLAY_CLOCK', true);
	}
}

// load blocks in the right column
if($portal_config['portal_right_column'])
{
	$template->assign_var('S_RIGHT_COLUMN', 'portalview');

	// show login box and user menu
	// only registered user see user menu
	if ($user->data['is_registered'])
	{
		include($phpbb_root_path . 'portal/block/user_menu.' . $phpEx);
	}
	else
	{
		include($phpbb_root_path . 'portal/block/login_box.' . $phpEx);
	}
	
	if ($portal_config['portal_user_menu'])
	{
		$template->assign_var('S_DISPLAY_USERMENU', true);
	}
	
	if ($portal_config['portal_advanced_stat'])
	{
		include($phpbb_root_path . 'portal/block/statistics.' . $phpEx);
	}

	if ($portal_config['portal_minicalendar'])
	{
		include($phpbb_root_path . 'portal/block/mini_cal.' . $phpEx);
	}

	if ($portal_config['portal_leaders'] && $portal_config['portal_leaders_ext'])
	{
		include($phpbb_root_path . 'portal/block/leaders_ext.' . $phpEx);
	}
	elseif ($portal_config['portal_leaders'])
	{
		include($phpbb_root_path . 'portal/block/leaders.' . $phpEx);
	}
	
	if ($portal_config['portal_load_last_visited_bots'])
	{
		include($phpbb_root_path . 'portal/block/latest_bots.' . $phpEx);
	}
	
	if ($portal_config['portal_friends'])
	{
		include($phpbb_root_path . 'portal/block/friends.' . $phpEx);
	}
	
	if ($portal_config['portal_links'])
	{
		include($phpbb_root_path . 'portal/block/links.' . $phpEx);
	}
}

include($phpbb_root_path . 'portal/block/additional_blocks.' . $phpEx);

$template->assign_vars(array(
	'PORTAL_LEFT_COLUMN'	=> $portal_config['portal_left_column_width'],
	'PORTAL_RIGHT_COLUMN'	=> $portal_config['portal_right_column_width'],
	'IN_PORTALVIEW'			=> true,
));

?>